Adds the authenticated parent org admin as a member of the specified sub-organization with the given role.
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/orgs/{sub_org_id}/join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "ADMIN"
}
'{
"id": "<string>",
"name": "<string>",
"logo_url": "<string>",
"plan": "free",
"balance": 123,
"promo_balance": 123,
"billing": {
"auto_recharge": {
"enabled": true,
"recharge_threshold": 252.5,
"recharge_amount": 252.5
},
"use_parent_balance": true,
"spending_cap": {
"enabled": true,
"amount": 50000,
"reset_at": "2023-11-07T05:31:56Z"
},
"payment_method": {
"type": "<string>",
"payment_method_id": "<string>",
"brand": "<string>",
"last4": "<string>",
"inactive": true,
"failed_at": "2023-11-07T05:31:56Z",
"failed_message": "<string>"
},
"last_low_balance_notification_at": "2023-11-07T05:31:56Z",
"last_out_of_balance_notification_at": "2023-11-07T05:31:56Z",
"last_spending_cap_notification_at": "2023-11-07T05:31:56Z"
},
"members": [
{
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>",
"role": "ADMIN",
"status": "ACTIVE",
"org_id": "<string>",
"user_id": "<string>",
"preferences": {
"notifications": {
"assigned_to_me": {
"enabled": true,
"notified_at": "2023-11-07T05:31:56Z"
}
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"seen_at": "2023-11-07T05:31:56Z"
}
],
"spending_cap_used": 123,
"created_at": "2023-11-07T05:31:56Z",
"features": {
"enterprise": true,
"allow_overdraft": true,
"workflows": true,
"broadcasts": true,
"enable_japifon": true,
"slack_access": true
},
"config": {
"email": "jsmith@example.com",
"address": "<string>",
"terms_url": "<string>",
"privacy_url": "<string>",
"access": {
"session_ttl_seconds": 0,
"allow_google": true,
"allow_microsoft": true,
"allow_email_code": true,
"allow_invites": true
},
"modules": {
"enable_inbox": true,
"enable_analytics": true,
"enable_boards": true,
"enable_assistants": true,
"enable_knowledge_base": true,
"enable_broadcasts": true,
"enable_workflows": true,
"enable_audience": true,
"enable_balance_credits": true
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer token authentication using your API key
The ID of the parent organization
The ID of the sub-organization
Schema for joining a sub-organization with a chosen role
Role to assign when joining the sub-organization
ADMIN, DEVELOPER, MANAGER, STAFF The sub-organization after the user has been added as a member.
Summary information about a sub-organization
Unique identifier of the sub-organization
Name of the sub-organization
URL of the sub-organization logo
Type of subscription plan
free, business Current credit balance
Current promotional credit balance
Schema for updating payment configuration
Show child attributes
Members of the sub-organization
Show child attributes
Amount spent in the current month
Timestamp when the sub-organization was created
Org gate-keeping features configuration
Show child attributes
Organization configuration settings
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/orgs/{sub_org_id}/join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "ADMIN"
}
'{
"id": "<string>",
"name": "<string>",
"logo_url": "<string>",
"plan": "free",
"balance": 123,
"promo_balance": 123,
"billing": {
"auto_recharge": {
"enabled": true,
"recharge_threshold": 252.5,
"recharge_amount": 252.5
},
"use_parent_balance": true,
"spending_cap": {
"enabled": true,
"amount": 50000,
"reset_at": "2023-11-07T05:31:56Z"
},
"payment_method": {
"type": "<string>",
"payment_method_id": "<string>",
"brand": "<string>",
"last4": "<string>",
"inactive": true,
"failed_at": "2023-11-07T05:31:56Z",
"failed_message": "<string>"
},
"last_low_balance_notification_at": "2023-11-07T05:31:56Z",
"last_out_of_balance_notification_at": "2023-11-07T05:31:56Z",
"last_spending_cap_notification_at": "2023-11-07T05:31:56Z"
},
"members": [
{
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>",
"role": "ADMIN",
"status": "ACTIVE",
"org_id": "<string>",
"user_id": "<string>",
"preferences": {
"notifications": {
"assigned_to_me": {
"enabled": true,
"notified_at": "2023-11-07T05:31:56Z"
}
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"seen_at": "2023-11-07T05:31:56Z"
}
],
"spending_cap_used": 123,
"created_at": "2023-11-07T05:31:56Z",
"features": {
"enterprise": true,
"allow_overdraft": true,
"workflows": true,
"broadcasts": true,
"enable_japifon": true,
"slack_access": true
},
"config": {
"email": "jsmith@example.com",
"address": "<string>",
"terms_url": "<string>",
"privacy_url": "<string>",
"access": {
"session_ttl_seconds": 0,
"allow_google": true,
"allow_microsoft": true,
"allow_email_code": true,
"allow_invites": true
},
"modules": {
"enable_inbox": true,
"enable_analytics": true,
"enable_boards": true,
"enable_assistants": true,
"enable_knowledge_base": true,
"enable_broadcasts": true,
"enable_workflows": true,
"enable_audience": true,
"enable_balance_credits": true
}
}
}